Skip to content

Data streams

All operations require authentication.

6 operationsv1/dbaas/logs
Agent setup

List data streamsProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream

Returns the data streams of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation
404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a data streamProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}

Returns the data stream.

Path parameters

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200StreamWithIAMsuccessful operation
canAlert
read-only
boolean

Indicates if the current user can create alert on the stream

clusterId
read-only
stringuuid

Cluster ID

coldStorageCompression
read-only
StreamColdStorageCompressionEnum

Cold storage compression method

ValuesDEFLATEDGZIPLZMAZSTD
coldStorageContent
read-only
StreamColdStorageContentEnum

ColdStorage content

ValuesALLGELFPLAIN
coldStorageEnabled
read-only
boolean

Is Cold storage enabled?

coldStorageNotifyEnabled
read-only
boolean

Notify on new Cold storage archive

coldStorageRetention
read-only
integer

Cold storage retention in year

createdAt
read-only
stringdate-time

Stream creation

description
read-only
string

Stream description

encryptionKeysIds
read-only
string[]uuid

Encryption keys used to encrypt stream archives

iam
read-only
ResourceMetadata

IAM resource metadata

indexingCurrentSize
read-only
integer

Indexing current size (in bytes)

indexingEnabled
read-only
boolean

Enable ES indexing

indexingMaxSize
read-only
integer

Maximum indexing size (in GB)

indexingNotifyEnabled
read-only
boolean

If set, notify when size is near 80, 90 or 100 % of the maximum configured setting

isEditable
read-only
boolean

Indicates if you are allowed to edit entry

nbAlertCondition
read-only
integer

Number of alert condition

nbArchive
read-only
integer

Number of coldstored archives

nbSubscription
read-only
integer

Number of subscriptions targeting this stream

parentStreamId
read-only
stringuuid

Parent stream ID

pauseIndexingOnMaxSize
read-only
boolean

If set, pause indexing when maximum size is reach

retentionId
read-only
stringuuid

Retention ID

streamId
read-only
stringuuid

Stream ID

title
read-only
string

Stream name

updatedAt
read-only
stringdate-time

Stream last update

webSocketEnabled
read-only
boolean

Enable Websocket

404objectError 404 response

Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAlert": true, "clusterId": "00000000-0000-0000-0000-000000000000", "coldStorageCompression": "DEFLATED", "coldStorageContent": "ALL", "coldStorageEnabled": true, "coldStorageNotifyEnabled": true, "coldStorageRetention": 0, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "encryptionKeysIds": [ "00000000-0000-0000-0000-000000000000" ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "indexingCurrentSize": 0, "indexingEnabled": true, "indexingMaxSize": 0, "indexingNotifyEnabled": true, "isEditable": true, "nbAlertCondition": 0, "nbArchive": 0, "nbSubscription": 0, "parentStreamId": "00000000-0000-0000-0000-000000000000", "pauseIndexingOnMaxSize": true, "retentionId": "00000000-0000-0000-0000-000000000000", "streamId": "00000000-0000-0000-0000-000000000000", "title": "string", "updatedAt": "2024-01-01T12:00:00Z", "webSocketEnabled": true}

List data stream URLsProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/url

Returns the data stream URLs of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200Url[]successful operation
address
read-only
string

Web URI

type
read-only
UrlTypeEnum

Service type

ValuesCONSOLEELASTICSEARCH_APIGRAYLOG_APIGRAYLOG_WEBUIHTTP_GELFHTTP_TLS_GELFKIBANA_WEBUIOPENSEARCH_APIOSD_WEBUIPROMETHEUS_APISERVICE_DOMAINTCP_BEATSTCP_CAP_N_PROTOTCP_GELFTCP_LTSV_LINETCP_LTSV_NULTCP_RFC5424TCP_TLS_BEATSTCP_TLS_CAP_N_PROTOTCP_TLS_GELFTCP_TLS_LTSV_LINETCP_TLS_LTSV_NULTCP_TLS_RFC5424UDP_CAP_N_PROTOUDP_GELFUDP_LTSV_LINEUDP_LTSV_NULUDP_RFC5424WEB_SOCKET
404objectError 404 response

Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "address": "string", "type": "CONSOLE" }]

Create a data streamProduction

POST
/1.0/dbaas/logs/{serviceName}/output/graylog/stream

Creates a data stream on the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Request body (required)

coldStorageCompression
StreamColdStorageCompressionEnum

Cold storage compression

ValuesDEFLATEDGZIPLZMAZSTD
coldStorageContent
StreamColdStorageContentEnum

Cold storage archive content

ValuesALLGELFPLAIN
coldStorageEnabled
boolean

Cold storage enabled

coldStorageNotifyEnabled
boolean

Cold storage notify enabled

coldStorageRetention
integer

Cold storage retention time

description
required
string

Description

encryptionKeysIds
string[]uuid

Encryption keys used to encrypt stream archives

indexingEnabled
boolean

ES indexing enabled

indexingMaxSize
integer

Maximum indexing size (in GB)

indexingNotifyEnabled
boolean

If set, notify when size is near 80, 90 or 100 % of the maximum configured setting

parentStreamId
stringuuid

Parent stream ID

pauseIndexingOnMaxSize
boolean

If set, pause indexing when maximum size is reach

retentionId
stringuuid

Retention ID

title
required
string

Title

webSocketEnabled
boolean

Web Socket enabled

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response
501objectError 501 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Delete a data streamProduction

DELETE
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}

Deletes the data stream.

Path parameters

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update a data streamProduction

PUT
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}

Updates the data stream.

Path parameters

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Request body (required)

coldStorageCompression
StreamColdStorageCompressionEnum

Cold storage compression

ValuesDEFLATEDGZIPLZMAZSTD
coldStorageContent
StreamColdStorageContentEnum

Cold storage content

ValuesALLGELFPLAIN
coldStorageEnabled
boolean

Cold storage enabled

coldStorageNotifyEnabled
boolean

Cold storage notify enabled

coldStorageRetention
integer

Cold storage retention time

description
required
string

Description

encryptionKeysIds
string[]uuid

Encryption keys used to encrypt stream archives

indexingEnabled
boolean

ES indexing enabled

indexingMaxSize
integer

Maximum indexing size (in GB)

indexingNotifyEnabled
boolean

If set, notify when size is near 80, 90 or 100 % of the maximum configured setting

pauseIndexingOnMaxSize
boolean

If set, pause indexing when maximum size is reach

title
required
string

Title

webSocketEnabled
boolean

Web socket enabled

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}